package org.cs.mgr.product.service;

import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.product.model.MgmProductFollow;

/**
 * 
 * @ClassName: IMgmProductFollowService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:10
 */
public interface IMgmProductFollowService extends IBaseService<MgmProductFollow> {

	Pager getMgmProductFollows(Pager page);

	boolean delMgmProductFollow(Integer id);
	
	boolean addMgmProductFollow(MgmProductFollow mgmProductFollow);
	
	boolean updateMgmProductFollow(MgmProductFollow mgmProductFollow);

	JSONObject addMgmProductFollow(Map<String, String> map);

	JSONObject delMgmProductFollow(Map<String, String> map);

	JSONObject queryFollowList(Map<String, String> map);
	
}
